FROM golang:1.9.2
RUN ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime
RUN echo 'Asia/Shanghai' > /etc/timezone

COPY invite-bean /go/bin/
COPY active.yaml /go/bin/
COPY yaml /go/bin/yaml/
COPY configs /go/bin/configs/
COPY __MACOSX /go/bin/__MACOSX/
RUN chmod +x /go/bin/invite-bean
WORKDIR /go/bin/

#CMD ["/go/bin/invite-bean", "invite-bean", "--config=/go/bin/active.yaml"]
CMD ["/go/bin/invite-bean", "--config=/go/bin/active.yaml"]

EXPOSE 9001
